Subject: Re: [PATCH SLOF] pci-properties: Remove redundant call to device-type

From: Nikunj A Dadhania <[email-masked]>
Date: Wed, 11 Mar 2015 14:04:59 +0530

Thomas Huth <[email-masked]> writes:

> On Wed, 11 Mar 2015 17:26:32 +1100
> Alexey Kardashevskiy <[email-masked]> wrote:
>
>> At the moment SLOF adds a "device_type" property automatically for
>> every single PCI device based on its class even if there is no SLOF
>> driver for such a device. OF1275 says that "device_type" is for
>> implemented interfaces only. A side effect of this is virtio-balloon
>> getting device_type=="memory" while it should not have.
>> 
>> This removes automatic call to device-type from the common PCI code.
>> Since now, we rely on existing SLOF PCI drivers to call device-type if
>> needed. virtio-blk/net, e1000, ohci/ehci/xhci do this. virtio-scsi
>> does not create the property for itself but disks on its bus do.
>> virtio-ballon won't get the device_type property as there is no driver
>> for it.
>

Looks good to me.

> Sounds very reasonable, but I think there are a couple of other things
> you could/should check:
>
> - Graphic cards should get the "display" device_type ... I guess that's
>   missing now?

No, its being set as "display"

> - pci bus nodes (like bridges) should get the "pci" device_type
>   according to the Open Firmware PCI binding, is this still the case?

Yes

> - Seems like there are some other devices with device_type property
>   where SLOF does not provide an implemented interface, like in
>   slof/fs/usb/dev-mouse.fs ... should these be revised, too?

./slof/fs/usb/dev-mouse.fs:s" mouse" device-type

Regards,
Nikunj